
---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY
USING TABLE(values('webapp.audit.idMasking.pattern'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'webapp.audit.idMasking.pattern' 
 , '\S*(\S{4})'
 , 'A string of regex pattern used for ID masking in webapp audit logs. ID masking will NOT be applied if the property value is empty or an invalid pattern.'
 , 'Pattern for ID masking'
 , 'WebApplication'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;

merge into FCM_PROPERTY
USING TABLE(values('webapp.audit.idMasking.replacement'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
'webapp.audit.idMasking.replacement'
 , '********$1'
 , 'A string of regex replacement used for ID masking in webapp audit logs. ID masking will NOT be applied if the property value is empty.'
 , 'Replacement for ID masking'
 , 'WebApplication'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;


---------------------------------------------------------------------------------
--
-- Insert version release 3.3.0.2 (3.3 M0 HF2)
--
---------------------------------------------------------------------------------


insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.3.0.2', current date, '3.3 M0 HF2 DDL', 'DDL');
commit;	




